Skip to main content

Get a payable register by ID

GEThttps://api.propexo.com/v1/payable-registers/:payable_register_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

payable_register_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the payable register

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    x_financial_account_idstring | nullnullablerequired

    The external ID of the financial account from the integration vendor

    x_cash_financial_account_idstring | nullnullablerequired

    The external ID of the cash financial account from the integration vendor

    x_ap_financial_account_idstring | nullnullablerequired

    The external ID of the AP financial account from the integration vendor

    x_vendor_idstring | nullnullablerequired

    The external ID of the vendor from the integration vendor

    x_batch_idstring | nullnullablerequired

    The external ID of the associated batch

    amount_due_in_centsnumber | nullnullablerequired

    The amount due on the payable register, in cents

    Example: 100000
    amount_paid_in_centsnumber | nullnullablerequired

    The amount paid on the payable register, in cents

    Example: 100000
    custom_data object | nullrequired
    object
    due_datestring | nullnullablerequired

    The due date associated with the payable register

    discount_amount_in_centsnumber | nullnullablerequired

    The discount, in cents, of the payable register

    Example: 100000
    discount_datestring | nullnullablerequired

    The date a discount was issued on payable register

    invoice_datestring | nullnullablerequired

    The date the payable register was issued

    invoice_numberstring | nullnullablerequired

    The reference number for the payable register

    notesstring | nullnullablerequired

    Notes associated with the payable register

    post_datestring | nullnullablerequired

    The date the payable register was posted. Some PMS systems only show the month.

    post_monthstring | nullnullablerequired

    The month the payable register was posted.

    post_status_rawstring | nullnullablerequired

    The raw post status associated with the payable register

    sub_total_amount_in_centsnumber | nullnullablerequired

    The sub total amount of the payable register

    Example: 100000
    total_amount_in_centsnumber | nullnullablerequired

    The amount of the payable register, in cents

    Example: 100000
    statusstring | nullnullablerequired

    The status associated with the payable register

    is_unpaidboolean | nullnullablerequired

    Whether the payable register is unpaid or not

    is_adjustmentboolean | nullnullablerequired

    Whether the payable register is an adjustment or not

    is_credit_memoboolean | nullnullablerequired

    Whether the payable register is a credit memo or not

    is_exempt_from_1099boolean | nullnullablerequired

    Whether the payable register is exempt from a 1099 or not

    display_typestring | nullnullablerequired

    The display type of the payable register

    expense_typestring | nullnullablerequired

    The expense type of the payable register

    property_idstringrequired

    The Propexo unique identifier for the property

    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    cash_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the cash financial account

    ap_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the ap financial account

    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    payable_register_items object[]required
  • Array [
  • x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    x_gl_account_idstring | nullnullablerequired

    The external ID of the financial account from the integration vendor

    x_cash_financial_account_idstring | nullnullablerequired

    The external ID of the cash financial account from the integration vendor

    payable_register_idstringrequired

    The Propexo unique identifier for the payable register

    construction_job_idstring | nullnullablerequired

    The Propexo unique identifier for the construction job

    amount_due_in_centsnumber | nullnullablerequired

    The amount due on the payable register item, in cents

    Example: 100000
    notesstring | nullnullablerequired

    Notes associated with the payable register item

    total_amount_in_centsnumber | nullnullablerequired

    The amount of the payable register item, in cents

    Example: 100000
    cost_codestring | nullnullablerequired

    The cost code of the payable register item

    property_idstringrequired

    The Propexo unique identifier for the property

    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    cash_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the cash financial account

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/payable-registers/:payable_register_id
curl https://api.propexo.com/v1/payable-registers/:payable_register_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_financial_account_id": "string",
"x_cash_financial_account_id": "string",
"x_ap_financial_account_id": "string",
"x_vendor_id": "string",
"x_batch_id": "string",
"amount_due_in_cents": 100000,
"amount_paid_in_cents": 100000,
"custom_data": "Unknown Type: object,null",
"due_date": "string",
"discount_amount_in_cents": 100000,
"discount_date": "string",
"invoice_date": "string",
"invoice_number": "string",
"notes": "string",
"post_date": "string",
"post_month": "string",
"post_status_raw": "string",
"sub_total_amount_in_cents": 100000,
"total_amount_in_cents": 100000,
"status": "string",
"is_unpaid": true,
"is_adjustment": true,
"is_credit_memo": true,
"is_exempt_from_1099": true,
"display_type": "string",
"expense_type": "string",
"property_id": "string",
"financial_account_id": "string",
"cash_financial_account_id": "string",
"ap_financial_account_id": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"payable_register_items": [
{
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_gl_account_id": "string",
"x_cash_financial_account_id": "string",
"payable_register_id": "string",
"construction_job_id": "string",
"amount_due_in_cents": 100000,
"notes": "string",
"total_amount_in_cents": 100000,
"cost_code": "string",
"property_id": "string",
"financial_account_id": "string",
"cash_financial_account_id": "string"
}
]
}
}